import { configureStore } from '@reduxjs/toolkit';

export interface RouteState {
    path: string
}

const store = configureStore({
    reducer: {
        path: (state = '/load', action) => {
            if (action.type != 'setPath') return state;
            return action.path ?? state;
        }
    },
});

export default store;

export function route(path) {
    store.dispatch({ type: 'setPath', path });
}